#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Email
%define		pnam	Simple
Summary:	Email::Simple - email handling, simply
Summary(pl.UTF-8):	Email::Simple - obsługa poczty elektronicznej, po prostu
Name:		perl-Email-Simple
Version:	2.211
Release:	1
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Email/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d0dcd1c0a1658f416aab5ed8d80ac31e
URL:		http://search.cpan.org/dist/Email-Simple/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%{?with_tests:BuildRequires:	perl-Email-Date-Format}
Obsoletes:	perl-Email-Simple-Creator
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Email::Simple is the first deliverable of the "Perl Email Project", a
reaction against the complexity and increasing bugginess of the
Mail::* modules. In contrast, Email::* modules are meant to be simple
to use and to maintain, pared to the bone, fast, minimal in their
external dependencies, and correct.

Methods are deliberately kept to a minimum. This is meant to be
simple. No, I will not add method X. This is meant to be simple. Why
doesn't it have feature Y? Because it's meant to be simple.

%description -l pl.UTF-8
Email::Simple to pierwszy produkt projektu "Perl Email Project",
będącego reakcją na złożoność i rosnący współczynnik zapluskwienia
modułów Mail::*. W przeciwieństwie do Mail::*, moduły Email::* mają
być proste w użyciu i w utrzymaniu, jednocześnie być szybkie i mieć
minimalne zależności, a także być poprawne.

Metody są rozmyślnie utrzymywane w minimalnej liczbie. To ma być
proste. Nie, nie dodamy metody X. To ma być proste. Dlaczego nie ma to
możliwości Y? Ponieważ to ma być proste.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%{__perl} -pi -e 's/(use 5.005)(03;)/$1_$2/' lib/Email/Simple.pm

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Email/Simple.pm
%{perl_vendorlib}/Email/Simple/*.pm
%{_mandir}/man3/Email::Simple*.3pm*
%changelog
* Mon Nov 14 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Email-Simple.git;a=log;h=master

* Mon Nov 14 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 70d05f1
- up to 2.211

* Wed Jan 11 2012 zbyniu <zbyniu@pld-linux.org> 037ea02
- up to 2.101

* Tue Oct 19 2010 Szymon Siwek <sls@pld-linux.org> 9302b97
- BR: perl-Email-Date-Format --with tests

* Fri Nov 20 2009 amateja <amateja@pld-linux.org> 3b388c3
- added O: perl-Email-Simple-Creator
- adapterized
- release 2

* Fri Nov 20 2009 amateja <amateja@pld-linux.org> 8f22306
- updated to 2.100

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> 2771c35
- updated to 2.005

* Sun Mar 23 2008 Jakub Bogusz <qboosh@pld-linux.org> 23b890e
- fixed workaround

* Wed Jan 09 2008 Maciej Pijanka <agaran@pld-linux.org> ba52995
- commented out as it don't work at all

* Wed Dec 26 2007 zbyniu <zbyniu@pld-linux.org> 31fc2a7
- up to 2.003; generic URL

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f13fb62
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c11a771
- converted to UTF-8

* Tue Aug 22 2006 Elan Ruusamäe <glen@pld-linux.org> 9cffed1
- rel 1

* Thu Aug 10 2006 Maciej Pijanka <agaran@pld-linux.org> bca1765
- up to 1.96, rel 0.1, builds here

* Thu May 19 2005 ankry <ankry@pld-linux.org> b2ace62
- fixed autodetected requires

* Fri Nov 12 2004 paladine <paladine@pld-linux.org> 2af6fde
- updated to 1.92

* Fri Nov 05 2004 paladine <paladine@pld-linux.org> 498cd90
- updated to 1.91

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 799f41d
- formatting

* Sun Aug 22 2004 radek <radek@pld-linux.org> 58eb40c
- version 1.9, epoch 1

* Fri May 07 2004 ankry <ankry@pld-linux.org> dc6ec83
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> 8165c05
- fixed perl-devel BR

